/* #region @keyframes */
@keyframes fadeIn {
	from {
		opacity: 0;
		translate: 0 -30px;
	}

	to {
		opacity: 1;
		translate: 0;
	}
}

/* #endregion */
/* #region @prefers-reduced-motion */
@media (prefers-reduced-motion: reduce) {
	*, *::before, *::after {
		animation-delay: 0s !important;
		animation-duration: 0s !important;
		scroll-behavior: auto !important;
		transition-delay: 0s !important;
		transition-duration: 0s !important;
	}
}

/* #endregion */
/* #region Elements */
* {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

a {
	color: var(--aqua500);
	text-decoration: none;
	text-underline-offset: 2px;
	transition: var(--transition);
}

body {
	background-color: white;
	color: var(--bluegrey700);
	font-family: var(--font-sans);
}

h1, h2, h3 {
	line-height: 1.1;
}

hr {
	border: 0;
	border-top: 1px solid var(--bluegrey100);
	margin-block: 2rem;
}

html {
	line-height: 1.7;
	scroll-behavior: smooth;
	scrollbar-gutter: stable;
}

img {
	display: block;
	max-width: 100%;
}

li {
	font-size: var(--fz18);
	text-wrap: pretty;
}

p {
	font-size: var(--fz18);
	margin-bottom: 1lh;
	text-wrap: pretty;
}

ul {
	list-style: none;
}

/* #endregion */
/* #region Global */
.btn {
	border-radius: .3rem;
	display: inline-block;
	line-height: 1;
	padding: 1.2rem 1.7rem;
	transition: var(--transition);

	&:hover {
		text-decoration: none;
	}
}

.content {
	margin-inline: auto;
	width: min(85%, var(--content-max-width, 1200px));
}

.cta {
	background: linear-gradient(to right, var(--bluegrey700) 25%, var(--aqua300));
	color: white;
	padding-block: 5rem;
	text-align: center;

	a {
		color: white;
	}

	h2 {
		font-size: var(--fz40);
		letter-spacing: -1px;
		margin-bottom: .4em;
	}

	p {
		font-size: var(--fz20);
	}

	.btn {
		background-color: var(--aqua500);
		border: 2px solid var(--white-60);
		font-weight: 500;
		letter-spacing: 2px;
		margin-top: 1em;
		text-transform: uppercase;
		transition: var(--transition);

		&:hover {
			background-color: var(--gold);
			border-color: white;
		}
	}
}

.ripcord {
	font-size: var(--fz12);
	letter-spacing: 1px;
	text-transform: uppercase;
}

.short-list {
	max-width: 75ch;
	margin-block: 1rem 3rem !important;
}

/* #endregion */
/* #region Nav */
.nav-grid {
	display: grid;
	grid-auto-flow: column;
	gap: 1.5rem 2vw;
	justify-content: center;

	@media (width < 700px) {
		grid-auto-flow: row;
		max-height: 0;
		overflow: hidden;
		transition: var(--transition);
	}

	a {
		font-size: var(--fz16);
		font-weight: 700;
		letter-spacing: 1px;
		text-decoration: none;
		text-transform: uppercase;

		&:hover {
			color: var(--gold);
		}
	}
}

.nav-open {
	margin-bottom: 1rem;
	max-height: 25rem;
}

.nav-toggle {
	color: var(--aqua500);
	display: none;
	font-size: var(--fz24);
	margin: 0 auto;

	@media (width < 700px) {
		display: inline-block;
		transition: var(--transition);
	}

	&:hover {
		cursor: pointer;
	}
}

/* #endregion */
/* #region Header */
.header {
	background-color: var(--white-90);
	box-shadow: 1px 1px 18px 8px var(--black-20);
	padding-block: 1.5vh;
	position: fixed;
	text-align: center;
	width: 100%;
	z-index: 10;

	.logo {
		margin: 0 auto 2vh;
		transition: var(--transition);
		width: 200px;

		&.scrolled {
			width: 150px;
		}
	}
}

/* #endregion */
/* #region Footer */
.footer {
	background-color: var(--bluegrey900);
	color: var(--white-60);
	padding-block: 4rem 6rem;

	@media (width < 900px) {
		text-align: center;
	}

	a {
		color: var(--aqua300);
		display: inline-block;

		&:hover {
			color: var(--gold);
		}

		&[href*="privacy"] {
			font-size: var(--fz12);
			letter-spacing: 1px;
			text-transform: uppercase;
		}
	}
}

.footer-grid {
	display: grid;
	gap: 2rem;
	grid-template-columns: repeat(3, 1fr);
	justify-content: start;
	margin-bottom: 3rem;

	@media (width < 900px) {
		grid-template-columns: auto;
		justify-content: center;
		justify-items: center;
	}

	h2 {
		font-size: var(--fz12);
		letter-spacing: 2px;
		margin-bottom: 1.5rem;
		text-transform: uppercase;
	}

	i {
		font-size: var(--fz24);
		margin-right: .5em;
	}

	p {
		line-height: 1.4;
	}
}

/* #endregion */
/* #region Hero */
.hero {
	background: linear-gradient(var(--black-20), var(--black-20)), url("/assets/images/shutterstock_1437057026-reverse.jpg") center top/cover fixed;
	color: white;
	padding-block: 30vh 40vh;
	text-align: center;

	@media (width < 1400px) {
		background: linear-gradient(var(--black-20), var(--black-20)), url("/assets/images/shutterstock_1437057026-reverse.jpg?cx=800") center top/cover scroll;
	}

	.btn {
		animation-delay: 1s !important;
		background-color: var(--aqua500);
		border: 2px solid var(--white-60);
		color: white;
		font-size: var(--fz20);
		font-weight: 500;
		line-height: 1.2;
		margin-top: 2rem;
		text-wrap: pretty;
		transition: var(--transition);

		&:hover {
			background-color: var(--aqua700);
			border-color: white;
		}
	}

	.content > * {
		animation: 1s fadeIn ease .5s both;
	}
}

.hero-headline {
	font-size: var(--fz72);
	font-weight: 600;
	letter-spacing: -1px;
	line-height: 1.1;
	margin-inline: auto;
	max-width: 18ch;

	@media (width < 1200px) {
		font-size: var(--fz60);
	}

	span {
		font-weight: 300;
	}
}

/* #endregion */
/* #region Home */
.home-boxes {
	background: whitesmoke;
	padding-block: 5rem;
	text-align: center;

	h1 {
		font-size: var(--fz36);
		letter-spacing: -1px;
		margin-bottom: .5em;
	}

	p:first-of-type {
		font-size: var(--fz18);
		margin-inline: auto;
		max-width: 72ch;
	}
}

.home-boxes-grid {
	display: grid;
	gap: 2rem;
	grid-template-columns: repeat(3, 1fr);
	justify-content: center;
	margin-top: 3rem;

	@media (width < 1200px) {
		grid-template-columns: min(100%, 600px);
	}

	a {
		background: linear-gradient(var(--bluegrey900) 25%, transparent), var(--home-boxes-grid-bg) center/cover;
		border-radius: var(--radius);
		display: block;
		height: 500px;

		&:hover {
			scale: 1.05 !important;

			h2 {
				background-color: var(--gold);
				transition: var(--transition);
			}
		}

		&:nth-of-type(1) {
			--home-boxes-grid-bg: url("/assets/images/shutterstock_368997863.jpg?cw=800&w=900");
		}

		&:nth-of-type(2) {
			--home-boxes-grid-bg: url("/assets/images/shutterstock_2158453217-cropped.jpg?w=900");
		}

		&:nth-of-type(3) {
			--home-boxes-grid-bg: url("/assets/images/iStock-1282567962.jpg?ch=500&w=900");
		}
	}

	h2 {
		background-color: var(--aqua500);
		border-top-left-radius: var(--radius);
		border-top-right-radius: var(--radius);
		color: white;
		font-size: var(--fz20);
		margin: 0;
		padding-block: 1.5rem;
		text-align: center;
		transition: var(--transition);
	}

	img {
		border-bottom-left-radius: var(--radius);
		border-bottom-right-radius: var(--radius);
	}

	p {
		color: var(--aqua100);
		font-size: var(--fz18);
		line-height: 1.4;
		margin-bottom: 0;
		padding: 1.5em;
		text-align: center;
	}
}

/* #endregion */
/* #region Sub */
.sub {
	background-color: white;
	padding-block: 20vh 4rem;

	@media (width < 700px) {
		padding-top: 25vh;
	}

	h1 {
		font-size: var(--fz36);
		letter-spacing: -1px;
		margin-bottom: .5em;
	}

	h2 {
		font-size: var(--fz24);
		margin-bottom: .4em;
	}

	h3 {
		font-size: var(--fz18);
		margin-bottom: 1em;
	}

	li {
		list-style: disc;
		margin: .6rem 0 1rem;
		margin-top: .6rem;
	}

	a {
		text-decoration: underline;
	}

	ul {
		margin: 0 0 1.6rem 1.6rem;
	}
}

.sub-boxes-grid {
	display: grid;
	gap: 1.5rem;
	grid-template-columns: repeat(3, 1fr);

	@media (width < 900px) {
		grid-template-columns: 1fr 1fr;
	}

	@media (width < 700px) {
		grid-template-columns: auto;
	}

	> div {
		background-color: var(--aqua100);
		border-radius: var(--radius);
		padding: 2rem;
		position: relative;
	}

	h2 {
		font-size: var(--fz20);
	}

	i {
		font-size: var(--fz24);
		margin-bottom: .5rem;
	}

	p {
		font-size: var(--fz16);
	}
}

.sub-tagline {
	border-bottom: 1px dotted var(--bluegrey300);
	color: var(--bluegrey700);
	font-size: var(--fz24);
	font-weight: 300;
	margin-bottom: 2rem;
	padding-bottom: 2rem;
}

/* #endregion */
/* #region Sub-About */
.sub-about-grid {
	display: grid;
	gap: 4rem 8vw;
	grid-template-columns: repeat(2, 1fr);
	margin-top: 4rem;

	@media (width < 900px) {
		grid-template-columns: auto;
	}

	a {
		display: block;
		margin-bottom: .5rem;
	}

	i {
		font-size: var(--fz28);
		transition: var(--transition);

		&:hover {
			translate: 0 -2px;
		}
	}

	img {
		background: linear-gradient(var(--aqua500), var(--bluegrey300));
		border-radius: .3rem;
		margin-bottom: 1rem;
		padding-top: .5rem;
		width: 200px;
	}

	p {
		font-size: var(--fz16);
	}
}

/* #endregion */
/* #region Sub-Contact */
.sub-contact-grid {
	display: grid;
	grid-template-columns: 1fr 1fr;

	@media (width < 900px) {
		grid-template-columns: auto;
	}
}

/* #endregion */
/* #region Sub-Logos */
.sub-logos-grid {
	--col-min-width: 180px;
	align-items: center;
	display: grid;
	gap: 3rem 5rem;
	grid-template-columns: repeat(auto-fit, minmax(min(100%, var(--col-min-width)), auto));
	justify-content: center;
	justify-items: center;
	margin: 4rem 0;

	img {
		@media (max-width: 600px) {
			width: 250px;
		}
	}
}

/* #endregion */
/* #region Sub-Portfolio */
.sub-portfolio h2 {
	margin-block: 3rem;
	scroll-margin-top: 11rem;
}

/* #endregion */
/* #region Sub-Video */
.sub-video-grid {
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	gap: 2rem 2vw;
	justify-content: center;

	@media (width < 1400px) {
		grid-template-columns: 1fr 1fr;
	}

	@media (width < 700px) {
		grid-template-columns: auto;
	}

	video {
		border: 2px solid var(--bluegrey300);
		border-radius: var(--radius);
		cursor: pointer;
		height: 100%;
		margin-bottom: 1rem;
		object-fit: cover;
		opacity: .85;
		transition: var(--transition);
		width: 100%;

		&:hover {
			border-color: var(--aqua500);
			opacity: 1;
		}
	}
}

/* #endregion */
/* #region Sub-Websites */
.sub-websites-grid {
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	gap: 2rem 2vw;

	@media (width < 1200px) {
		grid-template-columns: 1fr 1fr;
	}

	@media (width < 700px) {
		grid-template-columns: auto;
	}

	a {
		border: 2px solid lightgrey;
		border-radius: var(--radius-lg);
		display: block;
		overflow: hidden;

		&:hover {
			border-color: var(--aqua300);

			img {
				scale: 1.07;
			}
		}

		img {
			display: block;
			height: 100%;
			object-fit: cover;
			transition: var(--transition);
			width: 100%;
		}
	}

	div {
		height: 100%;
	}

	h3 {
		font-size: var(--fz16);
		font-weight: 600;
	}
}

/* #endregion */
/* #region Sub-WFA */
.sub-wfa-process {
	background-color: var(--bluegrey050);
	border-radius: var(--radius-lg);
	margin-block: 4rem 5rem;
	padding: 4rem;

	@media (width < 400px) {
		padding: 2rem;
	}

	h2 {
		margin-bottom: 4rem;
	}
}

.sub-wfa-process-grid {
	display: grid;
	grid-template-columns: repeat(4, 1fr);
	gap: 2rem 3vw;

	@media (width < 1200px) {
		grid-template-columns: 1fr 1fr;
	}

	@media (width < 700px) {
		grid-template-columns: auto;
	}

	h3 {
		margin-bottom: .6rem;
	}

	i {
		font-size: var(--fz24);
		margin-bottom: .8rem;
	}

	p {
		font-size: var(--fz16);
		margin-bottom: 0;
	}
}

.sub-wfa-services-grid {
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	gap: 2rem 3vw;
	margin-block: 3rem;

	@media (width < 900px) {
		grid-template-columns: auto;
	}

	h3 {
		font-size: var(--fz20);
		margin-bottom: .6rem;
	}

	i {
		font-size: var(--fz36);
		margin-bottom: .8rem;
	}

	p {
		font-size: var(--fz16);
		margin-bottom: 0;
	}
}

/* #endregion */